# Method: videoContent.networks.sources.content.update

- [HTTP request](https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content/update#body.request_body)
- [Response body](https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content/update#body.response_body)
- [Authorization Scopes](https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content/update#body.aspect)

API to create new content or update its metadata if the content already exists in Ad Manager. Returns the content on success or a `google.rpc.Code` on failure.

An example request looks like:

    {
       "status": "ACTIVE",
       "title": "Best video ever",
       "updateTime": "2019-01-24T01:30:15.01Z",
       "duration": "230s",
       "cuePoints": ["55.532s", "192s"],
       "publishTime": "2019-01-24T01:30:15.01Z",
       "thumbnailUrl": "http://www.domain.com/tn.jpg",
       "metadata": {
           "keyValues": {
               "category": "sports",
               "tag": ["soccer", "messi"],
           }
       }
    }

### HTTP request

`PUT https://admanagervideo.googleapis.com/v1/videoContent/{videoContent.name=networks/*/sources/*/content/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `videoContent.name` | `string` Output only. The resource name of the video content. This field has the format of: 'networks/{network_code}/sources/{content_source_id}/content/{cms_content_id}' network_code is the network code in Google Ad Manager to which this content belongs. content_source_id is the content source ID in Google Ad Manager to which this content should belong. cms_content_id is the CMS content ID in Google Ad Manager, formed as a part of the ad request to identify which ads Ad Manager can serve against the corresponding video. This value can be numeric or alphanumeric. |

### Request body

The request body contains an instance of `https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content#VideoContent`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/video/rest/v1/videoContent.networks.sources.content#VideoContent`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contentingestion`
- `
  https://www.googleapis.com/auth/video-ads`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).